// The sample contained herein is provided to you "AS IS".
//
// It is furnished by Add-in Express as a simple example and has not been 
// thoroughly tested under all conditions. Add-in Express, therefore, cannot 
// guarantee its reliability, serviceability or functionality. 

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Outlook2000, adxolFormsManager, StdCtrls;

type
  TEventForm = class(TadxOlForm)
    Label1: TLabel;
    Memo1: TMemo;
    Label2: TLabel;
    procedure adxOlFormADXBeforeFormShow(Sender: TObject);
    procedure adxOlFormCreate(Sender: TObject);

  private
    { Private declarations }
    events: TStringList;
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure AddEvent(eventString: string);
  published
    { Published declarations }
  end;

{NOTE: The adxOlForm1 variable is intended for the exclusive use
       by the TadxOlFormsCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  EventForm : TEventForm;

implementation

uses uUtils;

{$R *.DFM}

procedure TEventForm.AddEvent(eventString: string);
var
  i: integer;
begin
  events.Insert(0, eventString);
  if (events.Count > 5) then begin
      events.Delete(5);
  end;

  Memo1.Text := '';
  for i := 0 to events.Count - 1 do begin
    Memo1.Text := Memo1.Text + events[i] + #13#10;
  end;
end;

procedure TEventForm.adxOlFormADXBeforeFormShow(Sender: TObject);
begin
  case (OutlookUtils.OutlookVersion) of
    v2000:
      label2.Caption := Strings.HelpStringInEventForm + Strings.HelpStringInEventFormMenus2000;
    v2002:
      label2.Caption := Strings.HelpStringInEventForm + Strings.HelpStringInEventFormMenus2002;
    v2003:
      label2.Caption := Strings.HelpStringInEventForm + Strings.HelpStringInEventFormMenus2003;
    v2007:
      label2.Caption := Strings.HelpStringInEventForm + Strings.HelpStringInEventFormMenus2007;
  end;
end;

procedure TEventForm.adxOlFormCreate(Sender: TObject);
begin
  events := TStringList.Create();
end;

initialization
  RegisterClass(TPersistentClass(TEventForm));

finalization

end.
 